//
//  GraphicLCDController.h
//  GraphicLCD
//
//  Created by Phidgets on 2018-02-15.
//  Copyright (c) 2018 Phidgets. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <Phidget22/phidget22.h>
#import "PhidgetInfoBox.h"

@interface GraphicLCDController : NSObject <NSWindowDelegate>{
    PhidgetLCDHandle ch;
    IBOutlet NSWindow *mainWindow;
    IBOutlet PhidgetInfoBox *phidgetInfoBoxView;
    IBOutlet NSBox *phidgetInfoBox;
    
    IBOutlet NSSlider *contrastSlider;
    IBOutlet NSTextField *minContrastLabel;
    IBOutlet NSTextField *maxContrastLabel;
    IBOutlet NSTextField *contrastLabel;
    
    IBOutlet NSSlider *backlightSlider;
    IBOutlet NSTextField *minBacklightLabel;
    IBOutlet NSTextField *maxBacklightLabel;
    IBOutlet NSTextField *backlightLabel;
    IBOutlet NSBox *lcdBox;
    //Errors
    IBOutlet NSPanel *errorEventLogWindow;
    IBOutlet NSTextView *errorEventLog;
    IBOutlet NSTextField *errorEventLogCounter;
}


@end
